javax.json

## Interface JsonString

- All Superinterfaces:
    JsonValue

      public interface JsonString
      extends JsonValue

  An immutable JSON string value.
  Author:
    Jitendra Kotamraju

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.json.JsonValue

      `JsonValue.ValueType`

  - ### Field Summary

    - ### Fields inherited from interface javax.json.JsonValue

      `FALSE, NULL, TRUE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares the specified object with this `JsonString` for equality.
    `CharSequence` | `getChars()` Returns the char sequence for the JSON String value
    `String` | `getString()` Returns the JSON string value.
    `int` | `hashCode()` Returns the hash code value for this `JsonString` object.

    - ### Methods inherited from interface javax.json.JsonValue

      `getValueType, toString`

- - ### Method Detail

    - #### getString

          String getString()

      Returns the JSON string value.
      Returns:
        a JSON string value

    - #### getChars

          CharSequence getChars()

      Returns the char sequence for the JSON String value
      Returns:
        a char sequence for the JSON String value

    - #### equals

          boolean equals(Object obj)

      Compares the specified object with this `JsonString` for equality. Returns `true` if and only if the specified object is also a `JsonString`, and their `getString()` objects are equal.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the object to be compared for equality with this `JsonString`
      Returns:
        `true` if the specified object is equal to this `JsonString`

    - #### hashCode

          int hashCode()

      Returns the hash code value for this `JsonString` object. The hash code of a `JsonString` object is defined to be its `getString()` object's hash code.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the hash code value for this `JsonString` object

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.